<?php
// Xinfeng Chen, 2002.12.18
// require_once('base_memo_file.php');
// require_once('class_forum_base.php');

class CNote extends CBaseMemoFile {
 var $numuser,$newuser;

 function _explodeRecord($a_line){
  list($this->numuser,$this->newuser)
   =explode(SP, $a_line);
 }

 function _composeRecord($a_line){
  $a_line=$this->numuser.SP.$this->newuser;
 }

 function load(){
  $fname=CForumBase::getFilePath('NOTE');
  return $this->readFile($fname);
 }

 function store(){
  $fname=CForumBase::getFilePath('NOTE');
  return $this->writeFile($fname);
 }

}
?>